// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/sek/vacancies/vacancies.proto

package vacancies

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Workload int32

const (
	Workload_UNCLEAR   Workload = 0
	Workload_LOW       Workload = 1
	Workload_MID       Workload = 2
	Workload_HIGH      Workload = 3
	Workload_LEGENDARY Workload = 4
)

// Enum value maps for Workload.
var (
	Workload_name = map[int32]string{
		0: "UNCLEAR",
		1: "LOW",
		2: "MID",
		3: "HIGH",
		4: "LEGENDARY",
	}
	Workload_value = map[string]int32{
		"UNCLEAR":   0,
		"LOW":       1,
		"MID":       2,
		"HIGH":      3,
		"LEGENDARY": 4,
	}
)

func (x Workload) Enum() *Workload {
	p := new(Workload)
	*p = x
	return p
}

func (x Workload) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Workload) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sek_vacancies_vacancies_proto_enumTypes[0].Descriptor()
}

func (Workload) Type() protoreflect.EnumType {
	return &file_vseth_sek_vacancies_vacancies_proto_enumTypes[0]
}

func (x Workload) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Workload.Descriptor instead.
func (Workload) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{0}
}

type Tag int32

const (
	Tag_NO_TAG         Tag = 0
	Tag_PRESIDENCY     Tag = 1
	Tag_TREASURY       Tag = 2
	Tag_EVENTS         Tag = 3
	Tag_IT             Tag = 4
	Tag_COMMUNICATION  Tag = 5
	Tag_POLITICS       Tag = 6
	Tag_MAGAZINE       Tag = 7
	Tag_DESIGN         Tag = 8
	Tag_INFRASTRUCTURE Tag = 9
	Tag_BEER           Tag = 10
	Tag_GUIDE          Tag = 11
	Tag_SPORTIVE       Tag = 12
)

// Enum value maps for Tag.
var (
	Tag_name = map[int32]string{
		0:  "NO_TAG",
		1:  "PRESIDENCY",
		2:  "TREASURY",
		3:  "EVENTS",
		4:  "IT",
		5:  "COMMUNICATION",
		6:  "POLITICS",
		7:  "MAGAZINE",
		8:  "DESIGN",
		9:  "INFRASTRUCTURE",
		10: "BEER",
		11: "GUIDE",
		12: "SPORTIVE",
	}
	Tag_value = map[string]int32{
		"NO_TAG":         0,
		"PRESIDENCY":     1,
		"TREASURY":       2,
		"EVENTS":         3,
		"IT":             4,
		"COMMUNICATION":  5,
		"POLITICS":       6,
		"MAGAZINE":       7,
		"DESIGN":         8,
		"INFRASTRUCTURE": 9,
		"BEER":           10,
		"GUIDE":          11,
		"SPORTIVE":       12,
	}
)

func (x Tag) Enum() *Tag {
	p := new(Tag)
	*p = x
	return p
}

func (x Tag) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Tag) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sek_vacancies_vacancies_proto_enumTypes[1].Descriptor()
}

func (Tag) Type() protoreflect.EnumType {
	return &file_vseth_sek_vacancies_vacancies_proto_enumTypes[1]
}

func (x Tag) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Tag.Descriptor instead.
func (Tag) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{1}
}

type Vacancy_Filter_SortBy int32

const (
	Vacancy_Filter_NAME                      Vacancy_Filter_SortBy = 0
	Vacancy_Filter_ORGANISATION              Vacancy_Filter_SortBy = 2
	Vacancy_Filter_WORKLOAD                  Vacancy_Filter_SortBy = 3
	Vacancy_Filter_PRIOR_EXPERIENCE_REQUIRED Vacancy_Filter_SortBy = 4
	Vacancy_Filter_EARLIEST_START_DATE       Vacancy_Filter_SortBy = 5
)

// Enum value maps for Vacancy_Filter_SortBy.
var (
	Vacancy_Filter_SortBy_name = map[int32]string{
		0: "NAME",
		2: "ORGANISATION",
		3: "WORKLOAD",
		4: "PRIOR_EXPERIENCE_REQUIRED",
		5: "EARLIEST_START_DATE",
	}
	Vacancy_Filter_SortBy_value = map[string]int32{
		"NAME":                      0,
		"ORGANISATION":              2,
		"WORKLOAD":                  3,
		"PRIOR_EXPERIENCE_REQUIRED": 4,
		"EARLIEST_START_DATE":       5,
	}
)

func (x Vacancy_Filter_SortBy) Enum() *Vacancy_Filter_SortBy {
	p := new(Vacancy_Filter_SortBy)
	*p = x
	return p
}

func (x Vacancy_Filter_SortBy) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Vacancy_Filter_SortBy) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sek_vacancies_vacancies_proto_enumTypes[2].Descriptor()
}

func (Vacancy_Filter_SortBy) Type() protoreflect.EnumType {
	return &file_vseth_sek_vacancies_vacancies_proto_enumTypes[2]
}

func (x Vacancy_Filter_SortBy) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Vacancy_Filter_SortBy.Descriptor instead.
func (Vacancy_Filter_SortBy) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{0, 0, 0}
}

type Vacancy struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                      string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                    *TextTranslated        `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Organisation            string                 `protobuf:"bytes,3,opt,name=organisation,proto3" json:"organisation,omitempty"`
	ContactName             string                 `protobuf:"bytes,4,opt,name=contact_name,json=contactName,proto3" json:"contact_name,omitempty"`
	ContactEmail            string                 `protobuf:"bytes,5,opt,name=contact_email,json=contactEmail,proto3" json:"contact_email,omitempty"`
	Workload                Workload               `protobuf:"varint,6,opt,name=workload,proto3,enum=vseth.sek.vacancies.Workload" json:"workload,omitempty"`
	PriorExperienceRequired bool                   `protobuf:"varint,7,opt,name=prior_experience_required,json=priorExperienceRequired,proto3" json:"prior_experience_required,omitempty"`
	Tags                    []Tag                  `protobuf:"varint,8,rep,packed,name=tags,proto3,enum=vseth.sek.vacancies.Tag" json:"tags,omitempty"`
	StartDate               *timestamppb.Timestamp `protobuf:"bytes,9,opt,name=start_date,json=startDate,proto3" json:"start_date,omitempty"`
	Task                    *TextTranslated        `protobuf:"bytes,10,opt,name=task,proto3" json:"task,omitempty"`
	Reward                  *TextTranslated        `protobuf:"bytes,11,opt,name=reward,proto3" json:"reward,omitempty"`
	Requirements            *TextTranslated        `protobuf:"bytes,12,opt,name=requirements,proto3" json:"requirements,omitempty"`
	FurtherDescription      *TextTranslated        `protobuf:"bytes,13,opt,name=further_description,json=furtherDescription,proto3" json:"further_description,omitempty"`
	CustomQuestions         []*Question            `protobuf:"bytes,14,rep,name=custom_questions,json=customQuestions,proto3" json:"custom_questions,omitempty"`
	PictureUrl              string                 `protobuf:"bytes,15,opt,name=picture_url,json=pictureUrl,proto3" json:"picture_url,omitempty"`
}

func (x *Vacancy) Reset() {
	*x = Vacancy{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vacancy) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vacancy) ProtoMessage() {}

func (x *Vacancy) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vacancy.ProtoReflect.Descriptor instead.
func (*Vacancy) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{0}
}

func (x *Vacancy) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Vacancy) GetName() *TextTranslated {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *Vacancy) GetOrganisation() string {
	if x != nil {
		return x.Organisation
	}
	return ""
}

func (x *Vacancy) GetContactName() string {
	if x != nil {
		return x.ContactName
	}
	return ""
}

func (x *Vacancy) GetContactEmail() string {
	if x != nil {
		return x.ContactEmail
	}
	return ""
}

func (x *Vacancy) GetWorkload() Workload {
	if x != nil {
		return x.Workload
	}
	return Workload_UNCLEAR
}

func (x *Vacancy) GetPriorExperienceRequired() bool {
	if x != nil {
		return x.PriorExperienceRequired
	}
	return false
}

func (x *Vacancy) GetTags() []Tag {
	if x != nil {
		return x.Tags
	}
	return nil
}

func (x *Vacancy) GetStartDate() *timestamppb.Timestamp {
	if x != nil {
		return x.StartDate
	}
	return nil
}

func (x *Vacancy) GetTask() *TextTranslated {
	if x != nil {
		return x.Task
	}
	return nil
}

func (x *Vacancy) GetReward() *TextTranslated {
	if x != nil {
		return x.Reward
	}
	return nil
}

func (x *Vacancy) GetRequirements() *TextTranslated {
	if x != nil {
		return x.Requirements
	}
	return nil
}

func (x *Vacancy) GetFurtherDescription() *TextTranslated {
	if x != nil {
		return x.FurtherDescription
	}
	return nil
}

func (x *Vacancy) GetCustomQuestions() []*Question {
	if x != nil {
		return x.CustomQuestions
	}
	return nil
}

func (x *Vacancy) GetPictureUrl() string {
	if x != nil {
		return x.PictureUrl
	}
	return ""
}

type TextTranslated struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TextEn string `protobuf:"bytes,1,opt,name=text_en,json=textEn,proto3" json:"text_en,omitempty"`
	TextDe string `protobuf:"bytes,2,opt,name=text_de,json=textDe,proto3" json:"text_de,omitempty"`
}

func (x *TextTranslated) Reset() {
	*x = TextTranslated{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TextTranslated) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TextTranslated) ProtoMessage() {}

func (x *TextTranslated) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TextTranslated.ProtoReflect.Descriptor instead.
func (*TextTranslated) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{1}
}

func (x *TextTranslated) GetTextEn() string {
	if x != nil {
		return x.TextEn
	}
	return ""
}

func (x *TextTranslated) GetTextDe() string {
	if x != nil {
		return x.TextDe
	}
	return ""
}

type GetVacancyRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VacancyId string `protobuf:"bytes,1,opt,name=vacancy_id,json=vacancyId,proto3" json:"vacancy_id,omitempty"`
}

func (x *GetVacancyRequest) Reset() {
	*x = GetVacancyRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVacancyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVacancyRequest) ProtoMessage() {}

func (x *GetVacancyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVacancyRequest.ProtoReflect.Descriptor instead.
func (*GetVacancyRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{2}
}

func (x *GetVacancyRequest) GetVacancyId() string {
	if x != nil {
		return x.VacancyId
	}
	return ""
}

type ListVacanciesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *Vacancy_Filter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListVacanciesRequest) Reset() {
	*x = ListVacanciesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVacanciesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVacanciesRequest) ProtoMessage() {}

func (x *ListVacanciesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVacanciesRequest.ProtoReflect.Descriptor instead.
func (*ListVacanciesRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{3}
}

func (x *ListVacanciesRequest) GetFilter() *Vacancy_Filter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListVacanciesReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vacancies []*Vacancy `protobuf:"bytes,1,rep,name=vacancies,proto3" json:"vacancies,omitempty"`
}

func (x *ListVacanciesReply) Reset() {
	*x = ListVacanciesReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVacanciesReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVacanciesReply) ProtoMessage() {}

func (x *ListVacanciesReply) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVacanciesReply.ProtoReflect.Descriptor instead.
func (*ListVacanciesReply) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{4}
}

func (x *ListVacanciesReply) GetVacancies() []*Vacancy {
	if x != nil {
		return x.Vacancies
	}
	return nil
}

type Question struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Question *TextTranslated `protobuf:"bytes,1,opt,name=question,proto3" json:"question,omitempty"`
	Answer   string          `protobuf:"bytes,2,opt,name=answer,proto3" json:"answer,omitempty"`
}

func (x *Question) Reset() {
	*x = Question{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Question) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Question) ProtoMessage() {}

func (x *Question) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Question.ProtoReflect.Descriptor instead.
func (*Question) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{5}
}

func (x *Question) GetQuestion() *TextTranslated {
	if x != nil {
		return x.Question
	}
	return nil
}

func (x *Question) GetAnswer() string {
	if x != nil {
		return x.Answer
	}
	return ""
}

type Application struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VacancyId     string                 `protobuf:"bytes,1,opt,name=vacancy_id,json=vacancyId,proto3" json:"vacancy_id,omitempty"`
	Name          string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Email         string                 `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
	Date          *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=date,proto3" json:"date,omitempty"`
	Motivation    *TextTranslated        `protobuf:"bytes,5,opt,name=motivation,proto3" json:"motivation,omitempty"`
	CustomAnswers []*Question            `protobuf:"bytes,6,rep,name=custom_answers,json=customAnswers,proto3" json:"custom_answers,omitempty"`
}

func (x *Application) Reset() {
	*x = Application{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Application) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Application) ProtoMessage() {}

func (x *Application) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Application.ProtoReflect.Descriptor instead.
func (*Application) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{6}
}

func (x *Application) GetVacancyId() string {
	if x != nil {
		return x.VacancyId
	}
	return ""
}

func (x *Application) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Application) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *Application) GetDate() *timestamppb.Timestamp {
	if x != nil {
		return x.Date
	}
	return nil
}

func (x *Application) GetMotivation() *TextTranslated {
	if x != nil {
		return x.Motivation
	}
	return nil
}

func (x *Application) GetCustomAnswers() []*Question {
	if x != nil {
		return x.CustomAnswers
	}
	return nil
}

type Subscription struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id     string          `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Filter *Vacancy_Filter `protobuf:"bytes,2,opt,name=filter,proto3" json:"filter,omitempty"`
	Email  string          `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
}

func (x *Subscription) Reset() {
	*x = Subscription{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Subscription) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Subscription) ProtoMessage() {}

func (x *Subscription) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Subscription.ProtoReflect.Descriptor instead.
func (*Subscription) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{7}
}

func (x *Subscription) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Subscription) GetFilter() *Vacancy_Filter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *Subscription) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

type ListSubscriptionsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Subscriptions []*Subscription `protobuf:"bytes,1,rep,name=subscriptions,proto3" json:"subscriptions,omitempty"`
}

func (x *ListSubscriptionsReply) Reset() {
	*x = ListSubscriptionsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSubscriptionsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSubscriptionsReply) ProtoMessage() {}

func (x *ListSubscriptionsReply) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSubscriptionsReply.ProtoReflect.Descriptor instead.
func (*ListSubscriptionsReply) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{8}
}

func (x *ListSubscriptionsReply) GetSubscriptions() []*Subscription {
	if x != nil {
		return x.Subscriptions
	}
	return nil
}

type Vacancy_Filter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name                    string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Organisation            string                 `protobuf:"bytes,2,opt,name=organisation,proto3" json:"organisation,omitempty"`
	Workload                []Workload             `protobuf:"varint,3,rep,packed,name=workload,proto3,enum=vseth.sek.vacancies.Workload" json:"workload,omitempty"`
	PriorExperienveRequired bool                   `protobuf:"varint,4,opt,name=prior_experienve_required,json=priorExperienveRequired,proto3" json:"prior_experienve_required,omitempty"`
	Tags                    []Tag                  `protobuf:"varint,5,rep,packed,name=tags,proto3,enum=vseth.sek.vacancies.Tag" json:"tags,omitempty"`
	EarliestStartDate       *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=earliest_start_date,json=earliestStartDate,proto3" json:"earliest_start_date,omitempty"`
	SortBy                  Vacancy_Filter_SortBy  `protobuf:"varint,30,opt,name=sort_by,json=sortBy,proto3,enum=vseth.sek.vacancies.Vacancy_Filter_SortBy" json:"sort_by,omitempty"`
	Descending              bool                   `protobuf:"varint,31,opt,name=descending,proto3" json:"descending,omitempty"`
}

func (x *Vacancy_Filter) Reset() {
	*x = Vacancy_Filter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vacancy_Filter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vacancy_Filter) ProtoMessage() {}

func (x *Vacancy_Filter) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sek_vacancies_vacancies_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vacancy_Filter.ProtoReflect.Descriptor instead.
func (*Vacancy_Filter) Descriptor() ([]byte, []int) {
	return file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP(), []int{0, 0}
}

func (x *Vacancy_Filter) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Vacancy_Filter) GetOrganisation() string {
	if x != nil {
		return x.Organisation
	}
	return ""
}

func (x *Vacancy_Filter) GetWorkload() []Workload {
	if x != nil {
		return x.Workload
	}
	return nil
}

func (x *Vacancy_Filter) GetPriorExperienveRequired() bool {
	if x != nil {
		return x.PriorExperienveRequired
	}
	return false
}

func (x *Vacancy_Filter) GetTags() []Tag {
	if x != nil {
		return x.Tags
	}
	return nil
}

func (x *Vacancy_Filter) GetEarliestStartDate() *timestamppb.Timestamp {
	if x != nil {
		return x.EarliestStartDate
	}
	return nil
}

func (x *Vacancy_Filter) GetSortBy() Vacancy_Filter_SortBy {
	if x != nil {
		return x.SortBy
	}
	return Vacancy_Filter_NAME
}

func (x *Vacancy_Filter) GetDescending() bool {
	if x != nil {
		return x.Descending
	}
	return false
}

var File_vseth_sek_vacancies_vacancies_proto protoreflect.FileDescriptor

var file_vseth_sek_vacancies_vacancies_proto_rawDesc = []byte{
	0x0a, 0x23, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x65, 0x6b, 0x2f, 0x76, 0x61, 0x63, 0x61,
	0x6e, 0x63, 0x69, 0x65, 0x73, 0x2f, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x13, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b,
	0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74,
	0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa3, 0x0a, 0x0a, 0x07, 0x56, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x79, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x37, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a,
	0x0c, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0c, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x5f, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x63, 0x74, 0x5f,
	0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6e,
	0x74, 0x61, 0x63, 0x74, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x39, 0x0a, 0x08, 0x77, 0x6f, 0x72,
	0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1d, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65,
	0x73, 0x2e, 0x57, 0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x52, 0x08, 0x77, 0x6f, 0x72, 0x6b,
	0x6c, 0x6f, 0x61, 0x64, 0x12, 0x3a, 0x0a, 0x19, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x5f, 0x65, 0x78,
	0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x63, 0x65, 0x5f, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65,
	0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x17, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x45, 0x78,
	0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x64,
	0x12, 0x2c, 0x0a, 0x04, 0x74, 0x61, 0x67, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x18,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x61, 0x67, 0x52, 0x04, 0x74, 0x61, 0x67, 0x73, 0x12, 0x39,
	0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x09, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09,
	0x73, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x74, 0x65, 0x12, 0x37, 0x0a, 0x04, 0x74, 0x61, 0x73,
	0x6b, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65,
	0x78, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x52, 0x04, 0x74, 0x61,
	0x73, 0x6b, 0x12, 0x3b, 0x0a, 0x06, 0x72, 0x65, 0x77, 0x61, 0x72, 0x64, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x52, 0x06, 0x72, 0x65, 0x77, 0x61, 0x72, 0x64, 0x12,
	0x47, 0x0a, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x18,
	0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65,
	0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x78, 0x74,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x52, 0x0c, 0x72, 0x65, 0x71, 0x75,
	0x69, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x54, 0x0a, 0x13, 0x66, 0x75, 0x72, 0x74,
	0x68, 0x65, 0x72, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x0d, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65,
	0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x78, 0x74,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64, 0x52, 0x12, 0x66, 0x75, 0x72, 0x74,
	0x68, 0x65, 0x72, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x48,
	0x0a, 0x10, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x5f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x18, 0x0e, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0f, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x69, 0x63, 0x74,
	0x75, 0x72, 0x65, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x70,
	0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x55, 0x72, 0x6c, 0x1a, 0x82, 0x04, 0x0a, 0x06, 0x46, 0x69,
	0x6c, 0x74, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x6f, 0x72, 0x67, 0x61,
	0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c,
	0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x39, 0x0a, 0x08,
	0x77, 0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x1d,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x2e, 0x57, 0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x52, 0x08, 0x77,
	0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x12, 0x3a, 0x0a, 0x19, 0x70, 0x72, 0x69, 0x6f, 0x72,
	0x5f, 0x65, 0x78, 0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x76, 0x65, 0x5f, 0x72, 0x65, 0x71, 0x75,
	0x69, 0x72, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x17, 0x70, 0x72, 0x69, 0x6f,
	0x72, 0x45, 0x78, 0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x76, 0x65, 0x52, 0x65, 0x71, 0x75, 0x69,
	0x72, 0x65, 0x64, 0x12, 0x2c, 0x0a, 0x04, 0x74, 0x61, 0x67, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28,
	0x0e, 0x32, 0x18, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61,
	0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x61, 0x67, 0x52, 0x04, 0x74, 0x61, 0x67,
	0x73, 0x12, 0x4a, 0x0a, 0x13, 0x65, 0x61, 0x72, 0x6c, 0x69, 0x65, 0x73, 0x74, 0x5f, 0x73, 0x74,
	0x61, 0x72, 0x74, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x11, 0x65, 0x61, 0x72, 0x6c,
	0x69, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x44, 0x61, 0x74, 0x65, 0x12, 0x43, 0x0a,
	0x07, 0x73, 0x6f, 0x72, 0x74, 0x5f, 0x62, 0x79, 0x18, 0x1e, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x2e, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x42, 0x79, 0x52, 0x06, 0x73, 0x6f, 0x72, 0x74,
	0x42, 0x79, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x65, 0x73, 0x63, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67,
	0x18, 0x1f, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x64, 0x65, 0x73, 0x63, 0x65, 0x6e, 0x64, 0x69,
	0x6e, 0x67, 0x22, 0x6a, 0x0a, 0x06, 0x53, 0x6f, 0x72, 0x74, 0x42, 0x79, 0x12, 0x08, 0x0a, 0x04,
	0x4e, 0x41, 0x4d, 0x45, 0x10, 0x00, 0x12, 0x10, 0x0a, 0x0c, 0x4f, 0x52, 0x47, 0x41, 0x4e, 0x49,
	0x53, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x57, 0x4f, 0x52, 0x4b,
	0x4c, 0x4f, 0x41, 0x44, 0x10, 0x03, 0x12, 0x1d, 0x0a, 0x19, 0x50, 0x52, 0x49, 0x4f, 0x52, 0x5f,
	0x45, 0x58, 0x50, 0x45, 0x52, 0x49, 0x45, 0x4e, 0x43, 0x45, 0x5f, 0x52, 0x45, 0x51, 0x55, 0x49,
	0x52, 0x45, 0x44, 0x10, 0x04, 0x12, 0x17, 0x0a, 0x13, 0x45, 0x41, 0x52, 0x4c, 0x49, 0x45, 0x53,
	0x54, 0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x5f, 0x44, 0x41, 0x54, 0x45, 0x10, 0x05, 0x22, 0x42,
	0x0a, 0x0e, 0x54, 0x65, 0x78, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64,
	0x12, 0x17, 0x0a, 0x07, 0x74, 0x65, 0x78, 0x74, 0x5f, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x74, 0x65, 0x78, 0x74, 0x45, 0x6e, 0x12, 0x17, 0x0a, 0x07, 0x74, 0x65, 0x78,
	0x74, 0x5f, 0x64, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x74, 0x65, 0x78, 0x74,
	0x44, 0x65, 0x22, 0x32, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x76, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x79, 0x49, 0x64, 0x22, 0x53, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x61,
	0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3b,
	0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x2e, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x50, 0x0a, 0x12, 0x4c,
	0x69, 0x73, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x12, 0x3a, 0x0a, 0x09, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b,
	0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x79, 0x52, 0x09, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x22, 0x63, 0x0a,
	0x08, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3f, 0x0a, 0x08, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65,
	0x73, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c, 0x61, 0x74, 0x65, 0x64,
	0x52, 0x08, 0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x6e, 0x73, 0x77,
	0x65, 0x72, 0x22, 0x91, 0x02, 0x0a, 0x0b, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x49,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x2e, 0x0a, 0x04, 0x64,
	0x61, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x04, 0x64, 0x61, 0x74, 0x65, 0x12, 0x43, 0x0a, 0x0a, 0x6d,
	0x6f, 0x74, 0x69, 0x76, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61,
	0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x6c,
	0x61, 0x74, 0x65, 0x64, 0x52, 0x0a, 0x6d, 0x6f, 0x74, 0x69, 0x76, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x44, 0x0a, 0x0e, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x5f, 0x61, 0x6e, 0x73, 0x77, 0x65,
	0x72, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0d, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x41,
	0x6e, 0x73, 0x77, 0x65, 0x72, 0x73, 0x22, 0x71, 0x0a, 0x0c, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3b, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x79, 0x2e, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x22, 0x61, 0x0a, 0x16, 0x4c, 0x69, 0x73,
	0x74, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65,
	0x70, 0x6c, 0x79, 0x12, 0x47, 0x0a, 0x0d, 0x73, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73,
	0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0d, 0x73,
	0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2a, 0x42, 0x0a, 0x08,
	0x57, 0x6f, 0x72, 0x6b, 0x6c, 0x6f, 0x61, 0x64, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x4e, 0x43, 0x4c,
	0x45, 0x41, 0x52, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x4c, 0x4f, 0x57, 0x10, 0x01, 0x12, 0x07,
	0x0a, 0x03, 0x4d, 0x49, 0x44, 0x10, 0x02, 0x12, 0x08, 0x0a, 0x04, 0x48, 0x49, 0x47, 0x48, 0x10,
	0x03, 0x12, 0x0d, 0x0a, 0x09, 0x4c, 0x45, 0x47, 0x45, 0x4e, 0x44, 0x41, 0x52, 0x59, 0x10, 0x04,
	0x2a, 0xb5, 0x01, 0x0a, 0x03, 0x54, 0x61, 0x67, 0x12, 0x0a, 0x0a, 0x06, 0x4e, 0x4f, 0x5f, 0x54,
	0x41, 0x47, 0x10, 0x00, 0x12, 0x0e, 0x0a, 0x0a, 0x50, 0x52, 0x45, 0x53, 0x49, 0x44, 0x45, 0x4e,
	0x43, 0x59, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x54, 0x52, 0x45, 0x41, 0x53, 0x55, 0x52, 0x59,
	0x10, 0x02, 0x12, 0x0a, 0x0a, 0x06, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x53, 0x10, 0x03, 0x12, 0x06,
	0x0a, 0x02, 0x49, 0x54, 0x10, 0x04, 0x12, 0x11, 0x0a, 0x0d, 0x43, 0x4f, 0x4d, 0x4d, 0x55, 0x4e,
	0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x05, 0x12, 0x0c, 0x0a, 0x08, 0x50, 0x4f, 0x4c,
	0x49, 0x54, 0x49, 0x43, 0x53, 0x10, 0x06, 0x12, 0x0c, 0x0a, 0x08, 0x4d, 0x41, 0x47, 0x41, 0x5a,
	0x49, 0x4e, 0x45, 0x10, 0x07, 0x12, 0x0a, 0x0a, 0x06, 0x44, 0x45, 0x53, 0x49, 0x47, 0x4e, 0x10,
	0x08, 0x12, 0x12, 0x0a, 0x0e, 0x49, 0x4e, 0x46, 0x52, 0x41, 0x53, 0x54, 0x52, 0x55, 0x43, 0x54,
	0x55, 0x52, 0x45, 0x10, 0x09, 0x12, 0x08, 0x0a, 0x04, 0x42, 0x45, 0x45, 0x52, 0x10, 0x0a, 0x12,
	0x09, 0x0a, 0x05, 0x47, 0x55, 0x49, 0x44, 0x45, 0x10, 0x0b, 0x12, 0x0c, 0x0a, 0x08, 0x53, 0x50,
	0x4f, 0x52, 0x54, 0x49, 0x56, 0x45, 0x10, 0x0c, 0x32, 0xf6, 0x05, 0x0a, 0x09, 0x56, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x12, 0x4b, 0x0a, 0x0d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x12, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61,
	0x63, 0x61, 0x6e, 0x63, 0x79, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65,
	0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61,
	0x6e, 0x63, 0x79, 0x12, 0x4b, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x79, 0x12, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b,
	0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x79, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79,
	0x12, 0x52, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x12, 0x26,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x69, 0x65, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63,
	0x61, 0x6e, 0x63, 0x79, 0x12, 0x55, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x56, 0x61,
	0x63, 0x61, 0x6e, 0x63, 0x79, 0x12, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65,
	0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x56,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63,
	0x69, 0x65, 0x73, 0x2e, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x79, 0x12, 0x63, 0x0a, 0x0d, 0x4c,
	0x69, 0x73, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x12, 0x29, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69,
	0x65, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x56, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x12, 0x4a, 0x0a, 0x0e, 0x41, 0x70, 0x70, 0x6c, 0x79, 0x54, 0x6f, 0x56, 0x61, 0x63, 0x61, 0x6e,
	0x63, 0x79, 0x12, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x4f, 0x0a, 0x12,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76,
	0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x58, 0x0a,
	0x11, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x2b, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x65, 0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x48, 0x0a, 0x16, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x41, 0x6c, 0x6c, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x42, 0x68, 0x0a, 0x16, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x65,
	0x6b, 0x2e, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x50, 0x01, 0x5a, 0x4c, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62,
	0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62,
	0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x65,
	0x6b, 0x2f, 0x76, 0x61, 0x63, 0x61, 0x6e, 0x63, 0x69, 0x65, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_vseth_sek_vacancies_vacancies_proto_rawDescOnce sync.Once
	file_vseth_sek_vacancies_vacancies_proto_rawDescData = file_vseth_sek_vacancies_vacancies_proto_rawDesc
)

func file_vseth_sek_vacancies_vacancies_proto_rawDescGZIP() []byte {
	file_vseth_sek_vacancies_vacancies_proto_rawDescOnce.Do(func() {
		file_vseth_sek_vacancies_vacancies_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_sek_vacancies_vacancies_proto_rawDescData)
	})
	return file_vseth_sek_vacancies_vacancies_proto_rawDescData
}

var file_vseth_sek_vacancies_vacancies_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_vseth_sek_vacancies_vacancies_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_vseth_sek_vacancies_vacancies_proto_goTypes = []interface{}{
	(Workload)(0),                  // 0: vseth.sek.vacancies.Workload
	(Tag)(0),                       // 1: vseth.sek.vacancies.Tag
	(Vacancy_Filter_SortBy)(0),     // 2: vseth.sek.vacancies.Vacancy.Filter.SortBy
	(*Vacancy)(nil),                // 3: vseth.sek.vacancies.Vacancy
	(*TextTranslated)(nil),         // 4: vseth.sek.vacancies.TextTranslated
	(*GetVacancyRequest)(nil),      // 5: vseth.sek.vacancies.GetVacancyRequest
	(*ListVacanciesRequest)(nil),   // 6: vseth.sek.vacancies.ListVacanciesRequest
	(*ListVacanciesReply)(nil),     // 7: vseth.sek.vacancies.ListVacanciesReply
	(*Question)(nil),               // 8: vseth.sek.vacancies.Question
	(*Application)(nil),            // 9: vseth.sek.vacancies.Application
	(*Subscription)(nil),           // 10: vseth.sek.vacancies.Subscription
	(*ListSubscriptionsReply)(nil), // 11: vseth.sek.vacancies.ListSubscriptionsReply
	(*Vacancy_Filter)(nil),         // 12: vseth.sek.vacancies.Vacancy.Filter
	(*timestamppb.Timestamp)(nil),  // 13: google.protobuf.Timestamp
	(*emptypb.Empty)(nil),          // 14: google.protobuf.Empty
}
var file_vseth_sek_vacancies_vacancies_proto_depIdxs = []int32{
	4,  // 0: vseth.sek.vacancies.Vacancy.name:type_name -> vseth.sek.vacancies.TextTranslated
	0,  // 1: vseth.sek.vacancies.Vacancy.workload:type_name -> vseth.sek.vacancies.Workload
	1,  // 2: vseth.sek.vacancies.Vacancy.tags:type_name -> vseth.sek.vacancies.Tag
	13, // 3: vseth.sek.vacancies.Vacancy.start_date:type_name -> google.protobuf.Timestamp
	4,  // 4: vseth.sek.vacancies.Vacancy.task:type_name -> vseth.sek.vacancies.TextTranslated
	4,  // 5: vseth.sek.vacancies.Vacancy.reward:type_name -> vseth.sek.vacancies.TextTranslated
	4,  // 6: vseth.sek.vacancies.Vacancy.requirements:type_name -> vseth.sek.vacancies.TextTranslated
	4,  // 7: vseth.sek.vacancies.Vacancy.further_description:type_name -> vseth.sek.vacancies.TextTranslated
	8,  // 8: vseth.sek.vacancies.Vacancy.custom_questions:type_name -> vseth.sek.vacancies.Question
	12, // 9: vseth.sek.vacancies.ListVacanciesRequest.filter:type_name -> vseth.sek.vacancies.Vacancy.Filter
	3,  // 10: vseth.sek.vacancies.ListVacanciesReply.vacancies:type_name -> vseth.sek.vacancies.Vacancy
	4,  // 11: vseth.sek.vacancies.Question.question:type_name -> vseth.sek.vacancies.TextTranslated
	13, // 12: vseth.sek.vacancies.Application.date:type_name -> google.protobuf.Timestamp
	4,  // 13: vseth.sek.vacancies.Application.motivation:type_name -> vseth.sek.vacancies.TextTranslated
	8,  // 14: vseth.sek.vacancies.Application.custom_answers:type_name -> vseth.sek.vacancies.Question
	12, // 15: vseth.sek.vacancies.Subscription.filter:type_name -> vseth.sek.vacancies.Vacancy.Filter
	10, // 16: vseth.sek.vacancies.ListSubscriptionsReply.subscriptions:type_name -> vseth.sek.vacancies.Subscription
	0,  // 17: vseth.sek.vacancies.Vacancy.Filter.workload:type_name -> vseth.sek.vacancies.Workload
	1,  // 18: vseth.sek.vacancies.Vacancy.Filter.tags:type_name -> vseth.sek.vacancies.Tag
	13, // 19: vseth.sek.vacancies.Vacancy.Filter.earliest_start_date:type_name -> google.protobuf.Timestamp
	2,  // 20: vseth.sek.vacancies.Vacancy.Filter.sort_by:type_name -> vseth.sek.vacancies.Vacancy.Filter.SortBy
	3,  // 21: vseth.sek.vacancies.Vacancies.CreateVacancy:input_type -> vseth.sek.vacancies.Vacancy
	3,  // 22: vseth.sek.vacancies.Vacancies.UpdateVacancy:input_type -> vseth.sek.vacancies.Vacancy
	5,  // 23: vseth.sek.vacancies.Vacancies.GetVacancy:input_type -> vseth.sek.vacancies.GetVacancyRequest
	5,  // 24: vseth.sek.vacancies.Vacancies.DeleteVacancy:input_type -> vseth.sek.vacancies.GetVacancyRequest
	6,  // 25: vseth.sek.vacancies.Vacancies.ListVacancies:input_type -> vseth.sek.vacancies.ListVacanciesRequest
	9,  // 26: vseth.sek.vacancies.Vacancies.ApplyToVacancy:input_type -> vseth.sek.vacancies.Application
	10, // 27: vseth.sek.vacancies.Vacancies.CreateSubscription:input_type -> vseth.sek.vacancies.Subscription
	14, // 28: vseth.sek.vacancies.Vacancies.ListSubscriptions:input_type -> google.protobuf.Empty
	14, // 29: vseth.sek.vacancies.Vacancies.DeleteAllSubscriptions:input_type -> google.protobuf.Empty
	3,  // 30: vseth.sek.vacancies.Vacancies.CreateVacancy:output_type -> vseth.sek.vacancies.Vacancy
	3,  // 31: vseth.sek.vacancies.Vacancies.UpdateVacancy:output_type -> vseth.sek.vacancies.Vacancy
	3,  // 32: vseth.sek.vacancies.Vacancies.GetVacancy:output_type -> vseth.sek.vacancies.Vacancy
	3,  // 33: vseth.sek.vacancies.Vacancies.DeleteVacancy:output_type -> vseth.sek.vacancies.Vacancy
	7,  // 34: vseth.sek.vacancies.Vacancies.ListVacancies:output_type -> vseth.sek.vacancies.ListVacanciesReply
	14, // 35: vseth.sek.vacancies.Vacancies.ApplyToVacancy:output_type -> google.protobuf.Empty
	14, // 36: vseth.sek.vacancies.Vacancies.CreateSubscription:output_type -> google.protobuf.Empty
	11, // 37: vseth.sek.vacancies.Vacancies.ListSubscriptions:output_type -> vseth.sek.vacancies.ListSubscriptionsReply
	14, // 38: vseth.sek.vacancies.Vacancies.DeleteAllSubscriptions:output_type -> google.protobuf.Empty
	30, // [30:39] is the sub-list for method output_type
	21, // [21:30] is the sub-list for method input_type
	21, // [21:21] is the sub-list for extension type_name
	21, // [21:21] is the sub-list for extension extendee
	0,  // [0:21] is the sub-list for field type_name
}

func init() { file_vseth_sek_vacancies_vacancies_proto_init() }
func file_vseth_sek_vacancies_vacancies_proto_init() {
	if File_vseth_sek_vacancies_vacancies_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vacancy); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TextTranslated); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVacancyRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVacanciesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVacanciesReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Question); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Application); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Subscription); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSubscriptionsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sek_vacancies_vacancies_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vacancy_Filter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_sek_vacancies_vacancies_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_sek_vacancies_vacancies_proto_goTypes,
		DependencyIndexes: file_vseth_sek_vacancies_vacancies_proto_depIdxs,
		EnumInfos:         file_vseth_sek_vacancies_vacancies_proto_enumTypes,
		MessageInfos:      file_vseth_sek_vacancies_vacancies_proto_msgTypes,
	}.Build()
	File_vseth_sek_vacancies_vacancies_proto = out.File
	file_vseth_sek_vacancies_vacancies_proto_rawDesc = nil
	file_vseth_sek_vacancies_vacancies_proto_goTypes = nil
	file_vseth_sek_vacancies_vacancies_proto_depIdxs = nil
}
